cURL / Mailing Lists / curl-library / Single Mail

curl-library

Re: Getting version error even though my version is latest for RTSP

From: Amit Pal <amit.curl_at_gmail.com>
Date: Fri, 12 Jul 2013 17:42:09 -0400

I made it work...

Thanks..

i have one question. Please correct my understanding about
CURLOPT_RTSP_SESSION_ID

I DO NOT want to do a setup through this interface. In my Architecture,
setup happens via different component and that component passes me the
session id. Can I use that session id and set it in my play request through
CURLOPT_RTSP_SESSION_ID option?

OR is it a MUST for me to execute SETUP through curl and get the session id?

On Fri, Jul 12, 2013 at 2:20 AM, Ryan Bowring <meokid2_at_yahoo.com> wrote:

> On Jul 12, 2013, at 5:35 AM, Amit Pal <amit.curl_at_gmail.com> wrote:
>
> What OS are you using? I know OS X ships with curl by defaultů check your
> system's PATH. You may have two versions of curl installed and for some
> reason curl_easy_perform() is using the older one.
>
> Ryan
>
> > Hi All,
> >
> > I have downloaded latest curl version and trying to execute test program
> for RTSP but everytime I gte a version error.
> >
> > It says version is not latest and thats why curl_easy_perform() fails,
> but when I execute curl-config --version then I get libcurl 7.31.0.
> >
> > Regards
> > -------------------------------------------------------------------
> > List admin: http://cool.haxx.se/list/listinfo/curl-library
> > Etiquette: http://curl.haxx.se/mail/etiquette.html
>
>
> -------------------------------------------------------------------
> List admin: http://cool.haxx.se/list/listinfo/curl-library
> Etiquette: http://curl.haxx.se/mail/etiquette.html
>

-------------------------------------------------------------------
List admin: http://cool.haxx.se/list/listinfo/curl-library
Etiquette: http://curl.haxx.se/mail/etiquette.html
Received on 2013-07-12